com.tibbo.aggregate.common.context

## Class DefaultRequestController

- java.lang.Object
- - com.tibbo.aggregate.common.context.DefaultRequestController

- All Implemented Interfaces:
    RequestController, PinpointAware
  Direct Known Subclasses:
    AwaitableRequestController, ContextImportRequestController, FireEventRequestController, SynchronousRequestController

      public class DefaultRequestController
      extends java.lang.Object
      implements RequestController

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `DefaultRequestController()`
    `DefaultRequestController(boolean loggerRequest)`
    `DefaultRequestController(Evaluator evaluator)`
    `DefaultRequestController(java.lang.Long lockTimeout)`
    `DefaultRequestController(java.lang.Object originatorObject)`
    `DefaultRequestController(java.lang.String queue)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `assignPinpoint(Pinpoint pinpoint)` Assigns this object with the given pinpoint
    `Evaluator` | `getEvaluator()`
    `java.lang.Long` | `getLockTimeout()`
    `Originator` | `getOriginator()`
    `java.lang.String` | `getQueue()`
    `boolean` | `isLoggerRequest()`
    `boolean` | `isReplyRequired()`
    `java.util.Optional<Pinpoint>` | `obtainPinpoint()`
    `void` | `setEvaluator(Evaluator evaluator)`
    `void` | `setReplyRequired(boolean replyRequired)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface com.tibbo.aggregate.common.structure.PinpointAware

      `assignPinpoint, removePinpoint`

- - ### Constructor Detail

    - #### DefaultRequestController

          public DefaultRequestController()

    - #### DefaultRequestController

          public DefaultRequestController(boolean loggerRequest)

    - #### DefaultRequestController

          public DefaultRequestController(java.lang.Long lockTimeout)

    - #### DefaultRequestController

          public DefaultRequestController(java.lang.Object originatorObject)

    - #### DefaultRequestController

          public DefaultRequestController(Evaluator evaluator)

    - #### DefaultRequestController

          public DefaultRequestController(java.lang.String queue)

  - ### Method Detail

    - #### getOriginator

          public Originator getOriginator()

      Specified by:
        `getOriginator` in interface `RequestController`

    - #### getLockTimeout

          public java.lang.Long getLockTimeout()

      Specified by:
        `getLockTimeout` in interface `RequestController`

    - #### getEvaluator

          public Evaluator getEvaluator()

      Specified by:
        `getEvaluator` in interface `RequestController`

    - #### setEvaluator

          public void setEvaluator(Evaluator evaluator)

    - #### getQueue

          public java.lang.String getQueue()

      Specified by:
        `getQueue` in interface `RequestController`

    - #### isReplyRequired

          public boolean isReplyRequired()

      Specified by:
        `isReplyRequired` in interface `RequestController`

    - #### setReplyRequired

          public void setReplyRequired(boolean replyRequired)

    - #### isLoggerRequest

          public boolean isLoggerRequest()

      Specified by:
        `isLoggerRequest` in interface `RequestController`

    - #### assignPinpoint

          public void assignPinpoint(Pinpoint pinpoint)
                              throws java.lang.IllegalStateException

      Description copied from interface: `PinpointAware`
      Assigns this object with the given pinpoint
      Specified by:
        `assignPinpoint` in interface `PinpointAware`
      Parameters:
        `pinpoint` - a pinpoint this object should be associated with
      Throws:
        `java.lang.IllegalStateException` - in case pinpoint cannot be assigned after object construction

    - #### obtainPinpoint

          public java.util.Optional<Pinpoint> obtainPinpoint()

      Specified by:
        `obtainPinpoint` in interface `PinpointAware`